Skip to main content
`Ctrl`+`K`

# scipy.special.eval_chebyc

scipy.special.eval_chebyc(n, x, out=None) = <ufunc 'eval_chebyc'>

  Evaluate Chebyshev polynomial of the first kind on [-2, 2] at a point.

  These polynomials are defined as

  \[C_n(x) = 2 T_n(x/2)\]

  where \(T_n\) is a Chebyshev polynomial of the first kind. See 22.5.11 in [AS] for details.

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer, the result is determined via the relation to `eval_chebyt`.

    x array_like

      Points at which to evaluate the Chebyshev polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    C scalar or ndarray

      Values of the Chebyshev polynomial

  See also

  `roots_chebyc`

    roots and quadrature weights of Chebyshev polynomials of the first kind on [-2, 2]

  `chebyc`

    Chebyshev polynomial object

  `numpy.polynomial.chebyshev.Chebyshev`

    Chebyshev series

  `eval_chebyt`

    evaluate Chebycshev polynomials of the first kind

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.

  Examples

      >>> import numpy as np
      >>> import scipy.special as sc

  They are a scaled version of the Chebyshev polynomials of the first kind.

      >>> x = np.linspace(-2, 2, 6)
      >>> sc.eval_chebyc(3, x)
      array([-2.   ,  1.872,  1.136, -1.136, -1.872,  2.   ])
      >>> 2 * sc.eval_chebyt(3, x / 2)
      array([-2.   ,  1.872,  1.136, -1.136, -1.872,  2.   ])